/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.user.common.callcontext;

import java.util.UUID;

import org.bson.types.ObjectId;

import com.thedeanda.lorem.LoremIpsum;

import io.grpc.Metadata;

public class CallContextMetadataTestFactory {

	public static final String CLIENT = "testclient-0817";
	public static final String ID = new ObjectId().toHexString();
	public static final String NAME = LoremIpsum.getInstance().getName();
	public static final String ORGANISATORISCHE_EINHEITEN_ID = "0815";

	public static final String REQUEST_ID = UUID.randomUUID().toString();
	public static final Boolean DO_ORGA_ID_ACCESS_CHECK = Boolean.TRUE;

	public static Metadata createMetadata() {
		var result = new Metadata();
		result.put(GrpcUtil.createKeyOf(GrpcCallContextInterceptor.KEY_USER_ID), ID.getBytes());
		result.put(GrpcUtil.createKeyOf(GrpcCallContextInterceptor.KEY_USER_NAME), NAME.getBytes());
		result.put(GrpcUtil.createKeyOf(GrpcCallContextInterceptor.KEY_CLIENT_NAME), CLIENT.getBytes());
		result.put(GrpcUtil.createKeyOf(GrpcCallContextInterceptor.KEY_ACCESS_LIMITED_ORGAID),
				ORGANISATORISCHE_EINHEITEN_ID.getBytes());
		result.put(GrpcUtil.createKeyOf(GrpcCallContextInterceptor.KEY_REQUEST_ID), REQUEST_ID.getBytes());
		result.put(GrpcUtil.createKeyOf(GrpcCallContextInterceptor.KEY_ACCESS_LIMITED),
				DO_ORGA_ID_ACCESS_CHECK.toString().getBytes());

		return result;
	}

}
