/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.user.settings;

import de.ozgcloud.user.userprofile.GrpcUserSettings;

public class GrpcUserSettingsTestFactory {

	public static final boolean NOTIFICATIONS_SEND_FOR = NotificationsSendFor.ALL == UserSettingsTestFactory.NOTIFICATIONS_SEND_FOR;
	public static final boolean VORGANG_CREATED = UserSettingsTestFactory.VORGANG_CREATED;
	public static final boolean VORGANG_ASSIGNED_TO_USER = UserSettingsTestFactory.VORGANG_ASSIGNED_TO_USER;
	public static final boolean POSTFACH_NACHRICHT_FROM_ANTRAGSTELLER = UserSettingsTestFactory.POSTFACH_NACHRICHT_FROM_ANTRAGSTELLER;
	public static final boolean WIEDERVORLAGE_DUE_TODAY = UserSettingsTestFactory.WIEDERVORLAGE_DUE_TODAY;

	public static GrpcUserSettings create() {
		return createBuilder().build();
	}

	public static GrpcUserSettings.Builder createBuilder() {
		return GrpcUserSettings.newBuilder()
				.setNotificationsSendForAll(NOTIFICATIONS_SEND_FOR)
				.setVorgangCreated(VORGANG_CREATED)
				.setVorgangAssignedToUser(VORGANG_ASSIGNED_TO_USER)
				.setPostfachNachrichtFromAntragsteller(POSTFACH_NACHRICHT_FROM_ANTRAGSTELLER)
				.setWiedervorlageDueToday(WIEDERVORLAGE_DUE_TODAY);
	}
}