/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.user.settings;

public class UserSettingsTestFactory {

	public static final NotificationsSendFor NOTIFICATIONS_SEND_FOR = NotificationsSendFor.NONE;
	public static final boolean VORGANG_CREATED = false;
	public static final boolean VORGANG_ASSIGNED_TO_USER = true;
	public static final boolean POSTFACH_NACHRICHT_FROM_ANTRAGSTELLER = true;
	public static final boolean WIEDERVORLAGE_DUE_TODAY = true;

	public static UserSettings create() {
		return createBuilder().build();
	}

	public static UserSettings.UserSettingsBuilder createBuilder() {
		return UserSettings.builder()
				.notificationsSendFor(NOTIFICATIONS_SEND_FOR)
				.vorgangCreated(VORGANG_CREATED)
				.vorgangAssignedToUser(VORGANG_ASSIGNED_TO_USER)
				.postfachNachrichtFromAntragsteller(POSTFACH_NACHRICHT_FROM_ANTRAGSTELLER)
				.wiedervorlageDueToday(WIEDERVORLAGE_DUE_TODAY);
	}
}